package com.ruoyi.ai.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiSampleAmount;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 体验金活动管理Service接口
 * 
 * @author shi
 * @date 2025-11-13
 */
public interface IAiSampleAmountService {

    /**
     * 查询体验金活动管理
     * 
     * @param id 体验金活动管理主键
     * @return 体验金活动管理
     */
    AiSampleAmount selectAiSampleAmountById(Long id);

    /**
     * 查询体验金活动管理列表
     * 
     * @param aiSampleAmount 体验金活动管理
     * @return 体验金活动管理集合
     */
    List<AiSampleAmount> selectAiSampleAmountList(AiSampleAmount aiSampleAmount);

    /**
     * 分页查询体验金活动管理列表
     *
     * @param aiSampleAmount 体验金活动管理
     * @return 体验金活动管理集合
     */
    IPage<AiSampleAmount> selectAiSampleAmountPage(Page page, AiSampleAmount aiSampleAmount);

    /**
     * 新增体验金活动管理
     * 
     * @param aiSampleAmount 体验金活动管理
     * @return 结果
     */
    int insertAiSampleAmount(AiSampleAmount aiSampleAmount);

    /**
     * 修改体验金活动管理
     * 
     * @param aiSampleAmount 体验金活动管理
     * @return 结果
     */
    int updateAiSampleAmount(AiSampleAmount aiSampleAmount);

    /**
     * 批量删除体验金活动管理
     * 
     * @param ids 需要删除的体验金活动管理主键集合
     * @return 结果
     */
    int deleteAiSampleAmountByIds(Long[] ids);

    /**
     * 删除体验金活动管理信息
     * 
     * @param id 体验金活动管理主键
     * @return 结果
     */
    int deleteAiSampleAmountById(Long id);

    int changeUserStatus(AiSampleAmount aiSampleAmount);
}
